# Class NumericSpinner

## Index

### Methods

- build
- getElement
- getFloatValue
- getIntValue
- getValue
- reset
- setValue

### Constructors

- constructor

## Methods

### build

- build(): HTMLElement

- - Defined in ui/FormWidgets/NumericSpinner.ts :101

  #### Returns HTMLElement

  The numeric spinner element.

### getElement

- getElement(): HTMLElement

- - Defined in ui/FormWidgets/NumericSpinner.ts :51

  #### Returns HTMLElement

  The numeric spinner element.

### getFloatValue

- getFloatValue(): number

- - Defined in ui/FormWidgets/NumericSpinner.ts :75

  #### Returns number

  The numeric spinner value.

### getIntValue

- getIntValue(): number

- - Defined in ui/FormWidgets/NumericSpinner.ts :67

  #### Returns number

  The numeric spinner value.

### getValue

- getValue(): string

- - Defined in ui/FormWidgets/NumericSpinner.ts :59

  #### Returns string

  The numeric spinner value.

### reset

- reset(): void

- - Defined in ui/FormWidgets/NumericSpinner.ts :42

  #### Returns void

### setValue

- setValue(value: number): void

- - Defined in ui/FormWidgets/NumericSpinner.ts :86

  #### Parameters

  - ##### value: number

  #### Returns void

## Constructors

### constructor

- new NumericSpinner(onChange?: function, min?: number, max?: number, label?: string): NumericSpinner

- - Defined in ui/FormWidgets/NumericSpinner.ts :19

  #### Parameters

  - ##### Default value onChange: function = (numericSpinner: NumericSpinner) => {}

    - - (numericSpinner: NumericSpinner): void

      - #### Parameters

        - ##### numericSpinner: NumericSpinner

        #### Returns void

  - ##### Default value min: number = 0

  - ##### Optional max: number

  - ##### Optional label: string

  #### Returns NumericSpinner

### Hierarchy

- NumericSpinner

### Implements

- IFormWidget
- IFormWidgetSettable